/** 
 * Author: MuhTec Themes
 * Author URI: https://muhtecthemes.com
 */


 body.home #header-wrapper { position: relative; width: 100%; z-index: 200; top: 0; }

.ekit-wid-con button { margin: 0; }

.mt-breadcrumb-wrapper .breadcrumb-bg-image { z-index: -1; }

.mt-breadcrumb-wrapper .breadcrumb-bg-image:before { content: ""; position: absolute; top: 0; left: 0; 
    width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.4); z-index: -1; 
}

img.pfw-trigger { padding: clamp(0.625rem, 0.4808rem + 0.641vw, 1.25rem); 
    border: 2px dashed var(--mt-border-clr) !important; background-color: rgba(var(--mt-border-clr-rgb), 0.1); }

.gm-style-iw-chr { position: absolute; top: 0; right: 0; font-size: 14px; }
.gm-style-iw-chr > button { display: flex; align-items: center; justify-content: center; 
    width: 22px !important; height: 22px !important; }
.gm-style-iw-chr > button span { position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); 
    width: 18px !important; height: 18px !important; margin: 0 !important; }

.wpr-google-map .gm-style-iw-c .wpr-gm-iwindow h3 { margin-bottom: 7px; margin-top: 7px; }


.wpr-logo-image, .wpr-logo-text, button.elementskit-menu-hamburger,
.ekit-wid-con .elementskit-navbar-nav-default.elementskit-menu-container { z-index: auto !important; }
.ekit-wid-con .elementskit-navbar-nav-default.elementskit-menu-container.active { z-index: 9999 !important; }


.custom-counter-style .elementor-counter .elementor-counter-title { line-height: normal; margin-top: 8px; }




@media (max-width: 1024px) {
    .elementskit-navbar-nav-default .elementskit-navbar-nav > li > a { font-size: 14px; line-height: 1.2; }

    .mt-leaf-image img { opacity: 0.7; }

    .elementskit-navbar-nav-default .elementskit-submenu-panel > li > a { padding-top: 6px !important; 
        padding-left: 7px !important; padding-right: 7px !important; padding-bottom: 6px !important; }
}

@media (max-width: 767px) {
    body { font-size: 14px; }
}



/* Bg Overlay */


.elementor-element.mt__section_bg:before { width: 100%; max-width: 70%; left: auto; right: 0; }
.elementor-element.mt__section_bg:after { content: ""; position: absolute; top: 0; left: 0; 
    width: 56%; height: 100%; background-color: var(--mt-body-bg-clr); z-index: 0; 
    -webkit-clip-path: polygon(0 0, 100% 0%, 85% 100%, 0% 100%); clip-path: polygon(0 0, 100% 0%, 85% 100%, 0% 100%); }

.elementor-element.mt__section_bg .mt__section_bg_spacer { position: absolute; width: 56%; height: 100%; 
    left: 0; top: 0; background-color: var(--mt-secondary-clr); z-index: 0; 
    -webkit-clip-path: polygon(0 0, 100% 0%, 86% 100%, 0% 100%); clip-path: polygon(0 0, 100% 0%, 87% 100%, 0% 100%); }

@media (max-width: 767px) {

    .elementor-element.mt__section_bg::before { width: 100%; max-width: 100%; }

    .elementor-element.mt__section_bg .mt__section_bg_spacer { display: none; }

    .elementor-element.mt__section_bg::after { width: 100%; -webkit-clip-path: none; clip-path: none; opacity: 0.85; 
        /* background: var(--mt-tertiary-clr);  */
    } 
}


.mt__shadow_left { box-shadow: 0 0 100vmax 100vmax var(--mt-primary-clr); clip-path: inset(0 0 0 -100vmax); }
.mt__shadow_right { box-shadow: 0 0 100vmax 100vmax var(--mt-primary-clr); clip-path: inset(0 -100vmax 0 0); }




/** 
    Sri Sun Page Work
*/

    .ekit-wid-con .ekit-heading .elementskit-section-title { font-weight: 600; }
    .ekit-wid-con .ekit-heading .elementskit-section-title span { font-style: italic; }

/* 
    Kamaraj Style
*/

    .elementor-widget-wpr-team-member .wpr-team-member div.wpr-member-content {
        padding: 0;
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member .wpr-member-media {
        max-width: 150px;
        height: 150px;
        border-radius: var(--mt-radius-full);
        margin-bottom: 20px;
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member .wpr-member-media * {
        height: 100%;
        transition: all 0.3s ease;
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member:hover .wpr-member-media img{
        transform: scale(1.1);
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member:before {
        content: '';
        position: absolute;
        width: 100%;
        height: 75%;
        background-color: var(--mt-secondary-clr);
        top: 0;
        left: 0;
        right: 0;
        bottom: auto;
        clip-path: polygon(0 0, 100% 0%, 0 100%, 0% 100%);
        z-index: -1;
        margin: auto;
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member {
        position: relative;
        overflow: hidden;
        padding: clamp(1.25rem, 1.1388rem + 0.6135vw, 1.875rem);
        border-radius:calc(var(--mt-radius) + 0px);
        border: 1px solid var(--mt-secondary-clr);
        box-shadow: 0 4px 20px transparent;
        transition: all 0.3s ease;
    }
    
    .elementor-widget-wpr-team-member .wpr-team-member:hover {
        border: 1px solid rgba(var(--mt-primary-clr-rgb),1);
        box-shadow: 0 4px 20px rgba(var(--mt-color-black-rgb),0.18);
    }


/* 
    Viswa Style
*/

/*contact form*/

    .enq-form div > p:has(input[type="submit"]){
        display: inline-grid;
        place-items: start;
    }
    
    .enq-form div > p:has(input[type="submit"]) *{
        margin: 0;
        grid-area: 1/1;
    }
    
    .enq-form div > p input[type="submit"] {
        width: fit-conten;
    }
    
    .enq-form div > p:has(input[type="submit"]) .wpcf7-spinner{
        margin: auto;
    }
    
    .cus-sticky{
        position: sticky;
        top: 50px;
        height: fit-content;
    }
    
/*faq*/

    .wpr-accordion-item-wrap .wpr-acc-button  div.wpr-acc-icon-box{
        width: fit-content;
        height: fit-content;
        bottom: auto;
        left: 20px;
        margin: auto;
        top: 20px;
    }
    
    .wpr-accordion-item-wrap .wpr-acc-button  div.wpr-acc-icon-box svg{
        width:auto; 
        height: auto;
        margin-top: -5px;
    }
    
    .wpr-accordion-item-wrap .wpr-acc-button{
        margin: 0;
    }
    .wpr-advanced-accordion div.wpr-accordion-item-wrap {
        margin-bottom: 20px;
        transition: all 0.4s ease !important;
        border:1px solid var(--mt-border-clr);
        border-radius: var(--mt-radius);
        box-shadow: 0 4px 10px transparent;
    }
    
     .wpr-advanced-accordion div.wpr-accordion-item-wrap .wpr-acc-panel {
        border-color: var(--mt-border-clr);
        transition: border-color 0.3s ease !important;
    }
    
    .wpr-advanced-accordion div.wpr-accordion-item-wrap .wpr-acc-button{

        border:1px solid var(--mt-border-clr);
                align-items: start;
        gap: 20px;
    }
    
    .wpr-advanced-accordion div.wpr-accordion-item-wrap:has(.wpr-acc-panel-active) {
        border-color: var(--mt-primary-clr);
        box-shadow: 0 0px 10px rgba(var(--mt-primary-clr-rgb),0.15);
    }
    .wpr-advanced-accordion div.wpr-accordion-item-wrap .wpr-acc-button.wpr-acc-active {
        border-bottom: 0 !important;

    }
    
    .wpr-advanced-accordion .wpr-acc-button .wpr-acc-title-text {
        font-size: var(--mt-font-size-h6);
        border-bottom: 0;
    }
    
    .wpr-advanced-accordion div.wpr-accordion-item-wrap .wpr-acc-panel.wpr-acc-panel-active{
        border-color: var(--mt-primary-clr)
    }


